G-DXF
1
BRL-CAD
BRL-CAD

# g-dxf

AutoCad DXF Translator (BRL-CAD to DXF)

      g-dxf    -v
        -i
        -p
        -xX lvl
        -D calculation_tolerance
        -a abs_tol
        -r rel_tol
        -n norm_tol
        -o DXF_file
        database.g
        object(s)

## DESCRIPTION

g-dxf converts the specified object(s) from a BRL-CAD database.g file to the AutoCad DXF file format. The `-x` option specifies an RT debug flag and the `-X` option specifies an NMG debug flag. The `-a` option may be used to specify an absolute tessellation tolerance (in millimeters). This requires that the maximum absolute error from the tessellated surface to the actual surface must not be greater than abs_tol. The `-n` option specifies a surface normal error tolerance (in degrees) for the tessellation. The `-r` option may be used to set a relative error tolerance. This effectively sets an absolute tolerance for each primitive solid by multiplying the overall size of the solid by rel_tol. The `-D` option specifies a calculational distance tolerance (mm). Any two vertices that are less than this distance apart will be treated as the same vertex. The `-v` option requests verbose output. The `-i` option requests the output file units to be inches (the default is mm).The `-p` option requests that the output consist entirely of POLYFACE MESH entities. (The default is all 3DFACE entities). The `-o` option specifies the name of the file to receive the output (stdout is the default).

## EXAMPLE

    $ g-dxf -o sample.dxf sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2003-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.